Subject: [ANNOUNCE] New module VcsTools::History and Puppet::VcsTools::History
From: Dominique Dumont <[email-masked]>
Date: 21 Jul 1999 17:55:04 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hello

I'd like to announce the release of 2 new perl modules :
VcsTools::History and Puppet::VcsTools::History (both at version
1.001).

Here's an extract from the README of Puppet::VcsTools::History:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

This package provides a GUI to draw on a Canvas a revision tree which
is extracted automatically from the history log of any file archived
with a VCS system based on RCS.

The revision tree in the Canvas features key bindings to read the log
informations from the tree drawing.

This functionnality is available as a perl class
(Puppet::VcsTools::History) or as a script (viewHistory).

I'd like people who actually use this module for their application to
drop me a short note about what they're using this module for. 

Suggested DSLI line
Puppet::VcsTools::History bdpO  Vcs history viewer  DDUMONT

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
Here's an extract from the README of VcsTools::History:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
This package contains functions to extract informations from the
history of a VCS file.

Generally, RCS based systems such as VCS or HMS store a few
information with each revision. These information are generally
'Author', 'date', 'branches', 'log'. On top of the common
informations, you can specify your own set of information (for
instance, 'merged from', 'bug fixed') according to the policies
defined on your work place.

You can perform various queries related to the history such as :

* Sort revisions: it will return a pair of revisions sorted by
age. Oldest and child. But it will return an error if these two
versions are not parents of each others.

* List a genealogy of versions between 2 revisions of a file. This will
take into account the branches. For instance between 1.1 and 1.2.1.2,
it will return 1.1 1.2 1.2.1.1 1.2.1.2), but between 1.3 and 1.2.1.2
it will return an error, since these two versions are not parents of
each others.

* Build a cumulated log of several revisions. I.e a log description of
all changes made to several consecutive versions (which is handy to
build a log of a merge). This function will return an if these two
versions are not parents of each others.

Suggested DSLI line:
VcsTools::History bdpO  Perl class to manage a VCS history   DDUMONT

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

These 2 modules results from a split of the old VcsTools modules. I've
tried to separate clearly the functional part (VcsTools::History) from
the GUI part (Puppet::VcsTools::History). 

These modules deal with the history part. I hope to release soon 2
others modules (functionnality and GUI) which will manage the file and
the VCS file and not only the history.

Share and enjoy.

-- 
[email-masked]